# Uses of Class
java.nio.channels.FileChannel.MapMode

Packages that use FileChannel.MapMode
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
jdk.nio.mapmode
JDK-specific map modes for use with FileChannel::map.

- ## Uses of FileChannel.MapMode in java.nio.channels

  Fields in java.nio.channels declared as FileChannel.MapMode
  Modifier and Type
  Field
  Description
  `static final FileChannel.MapMode`
  FileChannel.MapMode.`PRIVATE`
  Mode for a private (copy-on-write) mapping.
  `static final FileChannel.MapMode`
  FileChannel.MapMode.`READ_ONLY`
  Mode for a read-only mapping.
  `static final FileChannel.MapMode`
  FileChannel.MapMode.`READ_WRITE`
  Mode for a read/write mapping.
  Methods in java.nio.channels with parameters of type FileChannel.MapMode
  Modifier and Type
  Method
  Description
  `abstract MappedByteBuffer`
  FileChannel.`map(FileChannel.MapMode mode, long position, long size)`
  Maps a region of this channel's file directly into memory.
  `MemorySegment`
  FileChannel.`map(FileChannel.MapMode mode, long offset, long size, Arena arena)`
  Maps a region of this channel's file into a new mapped memory segment, with the given offset, size and arena.

- ## Uses of FileChannel.MapMode in jdk.nio.mapmode

  Fields in jdk.nio.mapmode declared as FileChannel.MapMode
  Modifier and Type
  Field
  Description
  `static final FileChannel.MapMode`
  ExtendedMapMode.`READ_ONLY_SYNC`
  File mapping mode for a read-only mapping of a file backed by non-volatile RAM.
  `static final FileChannel.MapMode`
  ExtendedMapMode.`READ_WRITE_SYNC`
  File mapping mode for a read-write mapping of a file backed by non-volatile RAM.